Package org.apache.velocity.runtime.parser.node

# Class JJTStandardParserState

java.lang.Object
org.apache.velocity.runtime.parser.node.JJTStandardParserState

Direct Known Subclasses:
  `JJTParserState`

public class JJTStandardParserState extends Object

## Constructor Summary

Constructors
Constructor
Description
`JJTStandardParserState()`

## Method Summary

Modifier and Type
Method
Description
`void`
`clearNodeScope(Node n)`
`void`
`closeNodeScope(Node n, boolean condition)`
`void`
`closeNodeScope(Node n, int num)`
`int`
`nodeArity()`
`boolean`
`nodeCreated()`
`void`
`openNodeScope(Node n)`
`Node`
`peekNode()`
`Node`
`popNode()`
`void`
`pushNode(Node n)`
`void`
`reset()`
`Node`
`rootNode()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JJTStandardParserState

public JJTStandardParserState()

## Method Details

### nodeCreated

public boolean nodeCreated()

### reset

public void reset()

### rootNode

public Node rootNode()

### pushNode

public void pushNode(Node n)

### popNode

public Node popNode()

### peekNode

public Node peekNode()

### nodeArity

public int nodeArity()

### clearNodeScope

public void clearNodeScope(Node n)

### openNodeScope

public void openNodeScope(Node n)

### closeNodeScope

public void closeNodeScope(Node n, int num)

### closeNodeScope

public void closeNodeScope(Node n, boolean condition)